Bug 1188576 - (CVE-2019-25051) VUL-0: CVE-2019-25051: aspell: heap-buffer-overflow in acommon:ObjStack:dup_top
(CVE-2019-25051)
VUL-0: CVE-2019-25051: aspell: heap-buffer-overflow in acommon:ObjStack:dup_top
Status: NEW
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Normal
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/304605/
CVSSv3.1:SUSE:CVE-2019-25051:7.8:(AV:...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2021-07-21 14:07 UTC by Alexander Bergmann
Modified: 2021-08-25 19:18 UTC (History)
2 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Petr Gajdos 2021-08-02 14:46:41 UTC
Submitted for TW,12,11/aspell.

I believe all fixed.
Comment 2 OBSbugzilla Bot 2021-08-02 15:10:06 UTC
This is an autogenerated message for OBS integration:
This bug (1188576) was mentioned in
https://build.opensuse.org/request/show/909814 Factory / aspell
Comment 4 Robert Frohl 2021-08-03 06:58:15 UTC
@Petr: our tracking also shows SUSE:SLE-15-SP2:Update/aspell as affected. Is this assessment incorrect ?
Comment 5 Petr Gajdos 2021-08-03 08:40:35 UTC
(In reply to Robert Frohl from comment #4)
> @Petr: our tracking also shows SUSE:SLE-15-SP2:Update/aspell as affected. Is
> this assessment incorrect ?

Right. I was not expecting aspell in code 15.
Comment 6 Petr Gajdos 2021-08-03 08:41:06 UTC
Submitted for TW,15sp2,12,11/aspell.

I believe all fixed.
Comment 8 Swamp Workflow Management 2021-08-12 16:16:43 UTC
SUSE-SU-2021:14783-1: An update that fixes one vulnerability is now available.

Category: security (important)
Bug References: 1188576
CVE References: CVE-2019-25051
JIRA References: 
Sources used:
SUSE Linux Enterprise Server 11-SP4-LTSS (src):    aspell-0.60.6-26.36.1
SUSE Linux Enterprise Point of Sale 11-SP3 (src):    aspell-0.60.6-26.36.1
SUSE Linux Enterprise Debuginfo 11-SP4 (src):    aspell-0.60.6-26.36.1
SUSE Linux Enterprise Debuginfo 11-SP3 (src):    aspell-0.60.6-26.36.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 9 Swamp Workflow Management 2021-08-20 13:47:32 UTC
# maintenance_jira_update_notice
SUSE-SU-2021:2794-1: An update that solves one vulnerability and has one errata is now available.

Category: security (important)
Bug References: 1177523,1188576
CVE References: CVE-2019-25051
JIRA References: 
Sources used:
SUSE Linux Enterprise Module for Basesystem 15-SP3 (src):    aspell-0.60.8-3.3.1
SUSE Linux Enterprise Module for Basesystem 15-SP2 (src):    aspell-0.60.8-3.3.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 10 Swamp Workflow Management 2021-08-20 13:49:53 UTC
# maintenance_jira_update_notice
openSUSE-SU-2021:2794-1: An update that solves one vulnerability and has one errata is now available.

Category: security (important)
Bug References: 1177523,1188576
CVE References: CVE-2019-25051
JIRA References: 
Sources used:
openSUSE Leap 15.3 (src):    aspell-0.60.8-3.3.1
Comment 11 Swamp Workflow Management 2021-08-23 13:30:57 UTC
# maintenance_jira_update_notice
openSUSE-SU-2021:1181-1: An update that solves one vulnerability and has one errata is now available.

Category: security (important)
Bug References: 1177523,1188576
CVE References: CVE-2019-25051
JIRA References: 
Sources used:
openSUSE Leap 15.2 (src):    aspell-0.60.8-lp152.2.3.1
Comment 12 Swamp Workflow Management 2021-08-25 19:18:29 UTC
# maintenance_jira_update_notice
SUSE-SU-2021:2848-1: An update that fixes one vulnerability is now available.

Category: security (important)
Bug References: 1188576
CVE References: CVE-2019-25051
JIRA References: 
Sources used:
SUSE OpenStack Cloud Crowbar 9 (src):    aspell-0.60.6.1-18.11.1
SUSE OpenStack Cloud Crowbar 8 (src):    aspell-0.60.6.1-18.11.1
SUSE OpenStack Cloud 9 (src):    aspell-0.60.6.1-18.11.1
SUSE OpenStack Cloud 8 (src):    aspell-0.60.6.1-18.11.1
SUSE Linux Enterprise Software Development Kit 12-SP5 (src):    aspell-0.60.6.1-18.11.1
SUSE Linux Enterprise Server for SAP 12-SP4 (src):    aspell-0.60.6.1-18.11.1
SUSE Linux Enterprise Server for SAP 12-SP3 (src):    aspell-0.60.6.1-18.11.1
SUSE Linux Enterprise Server 12-SP5 (src):    aspell-0.60.6.1-18.11.1
SUSE Linux Enterprise Server 12-SP4-LTSS (src):    aspell-0.60.6.1-18.11.1
SUSE Linux Enterprise Server 12-SP3-LTSS (src):    aspell-0.60.6.1-18.11.1
SUSE Linux Enterprise Server 12-SP3-BCL (src):    aspell-0.60.6.1-18.11.1
SUSE Linux Enterprise Server 12-SP2-BCL (src):    aspell-0.60.6.1-18.11.1
HPE Helion Openstack 8 (src):    aspell-0.60.6.1-18.11.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.